Name: leif
Version: 0.7
Release: alt0.5

Summary: Leif is a T68/T68i mobile phone management tool
Summary(ru_RU.KOI8-R): Leif --       Sony/Ericsson T68/T68i
Group: Communications
License: GPL
Url: http://www.tobias-bayer.de/en/%name.html

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

# Automatically added by buildreq on Wed Oct 29 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libbluez-devel libexpat libezV24-devel libjpeg-devel liblcms libmng libopenobex-devel libpng-devel libqt3-devel libstdc++-devel libxslt qt3-designer xml-utils zlib-devel

%description
Leif is a tool for managing Sony/Ericsson T68/T68i mobile phone.
It supports phonebook editing, file uploading and sms management.

%description -l ru_RU.KOI8-R
Leif -- g      Sony/Ericsson T68/T68i.
Leif   ,   , 
     (SMS).

%define qtdir %_libdir/qt3

%prep
%setup -q
%__subst 's,openobex/\(obex.h\),\1,' leif/leifobex.*  

%build
export QTDIR=%qtdir
export PATH=%qtdir/bin:$PATH

%configure --disable-rpath
%make_build 

%install
%makeinstall

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Communications" \
    %buildroot/%_datadir/applnk/Utilities/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir/

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/*/*/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc %_docdir/HTML/en/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.5
- 0.7

* Wed Oct 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt0.5
- First build for Sisyphus.
